Bug 95428 - Deleting inserted code from object catalogue hangs office
Summary: Deleting inserted code from object catalogue hangs office
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:5.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-10-30 02:28 UTC by JimT
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JimT 2015-10-30 02:28:02 UTC
Fresh install of LibreOffice on fresh install of Linux Mint 17.2. Open a new macro edit window. Double click ANY code snippet from Object catalogue to insert it into macro edit window and then select and try to delete code with delete or backspace. Office locks up. Text added manually to edit window can be deleted correctly.
Comment 1 raal 2015-10-31 22:19:41 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 9a85743766e8a063d20d5f93ee88758e243397f4
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-23_00:56:39

regression, no freeze in LO 3.5
Comment 2 raal 2015-11-16 13:56:39 UTC
Reproducible with Version: 4.4.0.0.alpha2+
Comment 3 raal 2016-01-01 19:56:18 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks

b01df79affa64361136ff572705faae45a677bba is the first bad commit
commit b01df79affa64361136ff572705faae45a677bba
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Thu May 28 18:33:19 2015 +0800

    source-hash-d76dc580a2cb60794e91b921008b8585d5a137e4
    
    commit d76dc580a2cb60794e91b921008b8585d5a137e4
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Mon Jan 27 14:31:56 2014 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Mon Jan 27 14:38:39 2014 +0000
    
        coverity#982152 Unchecked return value
    
        Change-Id: I58fd11e38fa0b8ba7efeff8861aeec17742999c3


bibisect-43max$ git bisect log
# bad: [74b89c3193673ba9897dc4a4541500ef6e8d9bf7] source-hash-8f97326bdd3f42fc82aa5e1989fd03b0af1daf64
# good: [9c392cfdfe6e9a9bce98555ea989283a957aa3ad] source-hash-fc8f44e82de4ebdd50ac5fbb9207cd1a59a927e3
git bisect start 'latest' 'oldest'
# bad: [e289d9d328719fd70e9a2680fd0e4f586a97b3be] source-hash-3c0a7cf4f67720f2cca2c4eb543f838d5b644e7f
git bisect bad e289d9d328719fd70e9a2680fd0e4f586a97b3be
# good: [0327d0bc45d60df0d1c8ac2470cf252b6bb8f780] source-hash-38fed70782ae6ac6b0282897c7abc6fa33a6de9e
git bisect good 0327d0bc45d60df0d1c8ac2470cf252b6bb8f780
# bad: [3179b7f12b618884e4e9cfbc80a3f3200a3cb411] source-hash-38ea39b517b218573b8d1430d7b06280bcfef0fb
git bisect bad 3179b7f12b618884e4e9cfbc80a3f3200a3cb411
# bad: [b2789ff1f668f7d3f85ae132a562af8147c540ea] source-hash-470b393fd593440f49f0c3c1e95ef7a41fac0bb5
git bisect bad b2789ff1f668f7d3f85ae132a562af8147c540ea
# bad: [9aae3994e3f8a01faa036266abe8a596c5d96fc0] source-hash-dc61cc8c96dc7286076185b1fb09c7c9887601e0
git bisect bad 9aae3994e3f8a01faa036266abe8a596c5d96fc0
# bad: [b0eaaf8e90196975a21968be66414a6bd11ada13] source-hash-c1b7a2feb435d8e738e0636d58f027c5db4e8201
git bisect bad b0eaaf8e90196975a21968be66414a6bd11ada13
# good: [3941eb3afc62e524eb1785fb00e9f0e32cca617a] source-hash-cd20baf40aba2153091eb5e7c680fd7e458c3286
git bisect good 3941eb3afc62e524eb1785fb00e9f0e32cca617a
# good: [063aeedcbc606a517f7b52ce997cf69c0f8b3b09] source-hash-d72af8cba6d1125251804a7b9abe74165c706aa5
git bisect good 063aeedcbc606a517f7b52ce997cf69c0f8b3b09
# good: [25113fda1f2ac9901f6b2c989e5406bf8a6d004b] source-hash-44064d1a342ba00d128fac3d9fbe52e29f496b73
git bisect good 25113fda1f2ac9901f6b2c989e5406bf8a6d004b
# good: [6c2a4e8d0203a570f742ec7c76586dc616070504] source-hash-6b554dd8f6c9bd2ec9cc9b35b951f7499c6bd6f4
git bisect good 6c2a4e8d0203a570f742ec7c76586dc616070504
# good: [050385cd2f3eff9c5bce05a4c05a0c7a77fde719] source-hash-fd7dbe5a15c3393ea9ad7c26267056743099c506
git bisect good 050385cd2f3eff9c5bce05a4c05a0c7a77fde719
# good: [ef4c77a63c49506e4ba3d264d7fce5ea7af30f3b] source-hash-8cccfb8f8f793ebae4c2d5feb2674b1b2c976d9f
git bisect good ef4c77a63c49506e4ba3d264d7fce5ea7af30f3b
# bad: [b01df79affa64361136ff572705faae45a677bba] source-hash-d76dc580a2cb60794e91b921008b8585d5a137e4
git bisect bad b01df79affa64361136ff572705faae45a677bba
# good: [9b126c5b7ec2b8ff311b1c0f15c3519d2ee32580] source-hash-ec7c8f4ed1893711313221dd5fc46b6b37433df9
git bisect good 9b126c5b7ec2b8ff311b1c0f15c3519d2ee32580
# first bad commit: [b01df79affa64361136ff572705faae45a677bba] source-hash-d76dc580a2cb60794e91b921008b8585d5a137e4
Comment 4 Commit Notification 2016-03-09 15:34:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b3f84cec471ddbde98a46220096cdb952bb1935

Resolves: tdf#95428 backspace in readonly macro editor hangs

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-03-14 17:19:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf81970071261e99c5921ae1b8748fde82b8e077&h=libreoffice-5-1

Resolves: tdf#95428 backspace in readonly macro editor hangs

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-03-14 17:21:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c81d2d556a4e3b24440b4f917e0d0b720a0d719&h=libreoffice-5-0

Resolves: tdf#95428 backspace in readonly macro editor hangs

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.